<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="MEAS_HeatingNPN">
    <refnamediv>
        <refname>MEAS_HeatingNPN</refname>
        <refpurpose>MEAS_HeatingNPN Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gif/MEAS_HeatingNPN.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_MEAS_HeatingNPN">
        <title>Description</title>
        <para>
            Simple BJT according to Ebers-Moll with heating port
        </para>
    </refsection>
    <refsection id="Palette_MEAS_HeatingNPN">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Electrical_pal">Electrical - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gui/MEAS_HeatingNPN_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Bf [-] : Forward beta</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 50</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Br [-] : Reverse beta</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Is [A] : Transport saturation current</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1.000D-16</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Vak [1/V] : Early voltage (inverse), 1/Volt</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.02</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Tauf [s] : Ideal forward transit time</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1.200D-10</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Taur [s] : Ideal reverse transit time</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 5.000D-09</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Ccs [F] : Collector-substrat(ground) cap.</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1.000D-12</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Cje [F] : Base-emitter zero bias depletion cap.</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 4.000D-13</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Cjc [F] : Base-coll. zero bias depletion cap.</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 5.000D-13</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Phie [V] : Base-emitter diffusion voltage</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.8</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Me [-] : Base-emitter gradation exponent</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.4</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Phic [V] : Base-collector diffusion voltage</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.8</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Mc [-] : Base-collector gradation exponent</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.333</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Gbc [S] : Base-collector conductance</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1.000D-15</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Gbe [S] : Base-emitter conductance</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1.000D-15</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">EMin [-] : if x &lt; EMin, the exp(x) function is linearized</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : -100</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">EMax [-] : if x &gt; EMax, the exp(x) function is linearized</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 40</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Tnom (K): Parameter measurement temperature</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 300.15</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">XTI : Temperature exponent for effect on Is</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 3</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">XTB : Forward and reverse beta temperature exponent</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">EG : Energy gap for temperature effect on Is</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1.11</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">NF : Forward current emission coefficient</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">NR : Reverse current emission coefficient</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_MEAS_HeatingNPN">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'B'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'heatPort'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Thermal Heat Transfer type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'C'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'E'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Bf'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 50
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Br'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Is'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1.000D-16
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Vak'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.02
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Tauf'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1.200D-10
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Taur'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 5.000D-09
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Ccs'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1.000D-12
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Cje'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 4.000D-13
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Cjc'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 5.000D-13
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Phie'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.8
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Me'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.4
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Phic'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.8
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Mc'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.333
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Gbc'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1.000D-15
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Gbe'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1.000D-15
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'EMin'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> -100
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'EMax'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 40
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Tnom'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 300.15
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'XTI'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 3
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'XTB'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'EG'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1.11
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'NF'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'NR'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_MEAS_HeatingNPN">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>MEAS_HeatingNPN.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_MEAS_HeatingNPN">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Modelica.Electrical.Analog.Semiconductors.HeatingNPN in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
